package cn.com.qmth.examcloud.core.oe.admin.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.FindExamScoreDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetAuditDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetScoreDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryCapturePhotoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamScoreDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetAuditDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetScoreDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryCapturePhotoResp;

/**
 * 
 * @author  	chenken
 * @date    	2018年10月15日 下午4:16:08
 * @company 	QMTH
 * @description 供exchange查询：考试记录，学生信息，分数信息等数据查询接口
 */
public interface ExamScoreDataCloudService  extends CloudService{

	/**
	 * 根据scoreId查询考试记录，学生信息，分数信息等数据
	 * @param findExamScoreDataReq
	 * @return
	 */
	public FindExamScoreDataResp findExamScoreDataByScoreId(FindExamScoreDataReq findExamScoreDataReq);
	
	/**
	 * examId
	 * studentCode
	 * 考试记录，学生信息，分数信息等数据查询
	 * @param findExamScoreDataReq
	 * @return
	 */
	public FindExamScoreDataResp findExamScoreDataByExamIdAndStudentCode(FindExamScoreDataReq findExamScoreDataReq);
	
	/**
	 * 查询分数信息
	 * @param req
	 * @return
	 */
	public GetScoreDataResp getScoreData(GetScoreDataReq req);
	
	/**
	 * 查询审核信息
	 * @param req
	 * @return
	 */
	public GetAuditDataResp getAuditData(GetAuditDataReq req);
	
	/**
	 * 查询抓拍照片信息
	 * @param req
	 * @return
	 */
	public QueryCapturePhotoResp queryCapturePhoto(QueryCapturePhotoReq req);
}
